Skip to main content
`Ctrl`+`K`

# DMSetCellCoordinateDM

Sets the `DM` that prescribes cellwise coordinate layout and scatters between global and local cellwise coordinates

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMSetCellCoordinateDM(DM dm, DM cdm)

Logically Collective

## Input Parameters

- dm - the `DM`

- cdm - cellwise coordinate `DM`

## Note

As opposed to `DMSetCoordinateDM()` these coordinates are useful for discontinuous Galerkin methods since they support coordinate fields that are discontinuous at cell boundaries.

## See Also

`DMGetCellCoordinateDM()`, `DMSetCellCoordinates()`, `DMSetCellCoordinatesLocal()`, `DMGetCellCoordinates()`, `DMGetCellCoordinatesLocal()`, `DMSetCoordinateDM()`, `DMGetCoordinateDM()`

## Level

intermediate

## Location

src/dm/interface/dmcoordinates.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages